## grails.util
Class Metadata.FinalReference<T>

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.SoftReference<T>
              grails.util.Metadata.FinalReference<T>

Enclosing class:
  Metadata

    static class Metadata.FinalReference<T>

extends SoftReference<T>

Constructor Summary
`Metadata.FinalReference(T t)`

Method Summary
`T` `get()`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Metadata.FinalReference

    public Metadata.FinalReference(T t)

Method Detail

### get

    public T get()

  Overrides:
    `get` in class `SoftReference<T>`

Copyright (c) 2005-2009 The Grails project